> ## Documentation Index
> Fetch the complete documentation index at: https://ton.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Actions

> Get actions by specified filter.



## OpenAPI

````yaml get /api/v3/actions
openapi: 3.0.0
info:
  description: >-
    TON Index collects data from a full node to PostgreSQL database and provides
    convenient API to an indexed blockchain.
  title: TON Index (Go)
  contact: {}
  version: 1.1.0
servers:
  - url: https://toncenter.com
  - url: https://testnet.toncenter.com/
security: []
paths:
  /api/v3/actions:
    get:
      tags:
        - actions
      summary: Get Actions
      description: Get actions by specified filter.
      operationId: api_v3_get_actions
      parameters:
        - description: >-
            List of account addresses to get actions. Can be sent in hex, base64
            or base64url form.
          name: account
          in: query
          schema:
            type: string
        - description: Find actions by transaction hash.
          name: tx_hash
          in: query
          explode: true
          schema:
            type: array
            items:
              type: string
        - description: Find actions by message hash.
          name: msg_hash
          in: query
          explode: true
          schema:
            type: array
            items:
              type: string
        - description: Find actions by the action_id.
          name: action_id
          in: query
          explode: true
          schema:
            type: array
            items:
              type: string
        - description: Find actions by the trace_id.
          name: trace_id
          in: query
          explode: true
          schema:
            type: array
            items:
              type: string
        - description: >-
            Query actions of traces which was completed in masterchain block
            with given seqno
          name: mc_seqno
          in: query
          schema:
            type: integer
        - description: Query actions for traces with `trace_end_utime >= start_utime`.
          name: start_utime
          in: query
          schema:
            type: integer
            minimum: 0
        - description: Query actions for traces with `trace_end_utime <= end_utime`.
          name: end_utime
          in: query
          schema:
            type: integer
            minimum: 0
        - description: Query actions for traces with `trace_end_lt >= start_lt`.
          name: start_lt
          in: query
          schema:
            type: integer
            minimum: 0
        - description: Query actions for traces with `trace_end_lt <= end_lt`.
          name: end_lt
          in: query
          schema:
            type: integer
            minimum: 0
        - description: Include action types.
          name: action_type
          in: query
          explode: true
          schema:
            type: array
            items:
              enum:
                - call_contract
                - contract_deploy
                - ton_transfer
                - auction_bid
                - change_dns
                - dex_deposit_liquidity
                - dex_withdraw_liquidity
                - delete_dns
                - renew_dns
                - election_deposit
                - election_recover
                - jetton_burn
                - jetton_swap
                - jetton_transfer
                - jetton_mint
                - nft_mint
                - tick_tock
                - stake_deposit
                - stake_withdrawal
                - stake_withdrawal_request
                - subscribe
                - unsubscribe
              type: string
        - description: Exclude action types.
          name: exclude_action_type
          in: query
          explode: true
          schema:
            type: array
            items:
              enum:
                - call_contract
                - contract_deploy
                - ton_transfer
                - auction_bid
                - change_dns
                - dex_deposit_liquidity
                - dex_withdraw_liquidity
                - delete_dns
                - renew_dns
                - election_deposit
                - election_recover
                - jetton_burn
                - jetton_swap
                - jetton_transfer
                - jetton_mint
                - nft_mint
                - tick_tock
                - stake_deposit
                - stake_withdrawal
                - stake_withdrawal_request
                - subscribe
                - unsubscribe
              type: string
        - description: Supported action types
          name: supported_action_types
          in: query
          explode: true
          schema:
            type: array
            items:
              type: string
        - description: Limit number of queried rows. Use with *offset* to batch read.
          name: limit
          in: query
          schema:
            type: integer
            minimum: 1
            maximum: 1000
            default: 10
        - description: Skip first N rows. Use with *limit* to batch read.
          name: offset
          in: query
          schema:
            type: integer
            minimum: 0
            default: 0
        - description: Sort actions by lt.
          name: sort
          in: query
          schema:
            type: string
            enum:
              - asc
              - desc
            default: desc
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ActionsResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RequestError'
      security: []
components:
  schemas:
    ActionsResponse:
      type: object
      properties:
        actions:
          type: array
          items:
            $ref: '#/components/schemas/Action'
        address_book:
          $ref: '#/components/schemas/AddressBook'
        metadata:
          $ref: '#/components/schemas/Metadata'
    RequestError:
      type: object
      properties:
        code:
          type: integer
        error:
          type: string
    Action:
      type: object
      properties:
        accounts:
          type: array
          items:
            type: string
        action_id:
          type: string
        details: {}
        end_lt:
          type: string
          example: '0'
        end_utime:
          type: integer
        start_lt:
          type: string
          example: '0'
        start_utime:
          type: integer
        success:
          type: boolean
        trace_end_lt:
          type: string
          example: '0'
        trace_end_utime:
          type: integer
        trace_external_hash:
          type: string
        trace_external_hash_norm:
          type: string
        trace_id:
          type: string
        trace_mc_seqno_end:
          type: integer
        transactions:
          type: array
          items:
            type: string
        type:
          type: string
    AddressBook:
      type: object
      additionalProperties:
        $ref: '#/components/schemas/AddressBookRow'
    Metadata:
      type: object
      additionalProperties:
        $ref: '#/components/schemas/AddressMetadata'
    AddressBookRow:
      type: object
      properties:
        domain:
          type: string
        user_friendly:
          type: string
    AddressMetadata:
      type: object
      properties:
        is_indexed:
          type: boolean
        token_info:
          type: array
          items:
            $ref: '#/components/schemas/TokenInfo'
    TokenInfo:
      type: object
      properties:
        description:
          type: string
        extra:
          type: object
          additionalProperties: true
        image:
          type: string
        name:
          type: string
        nft_index:
          type: string
        symbol:
          type: string
        type:
          type: string
        valid:
          type: boolean

````